<?php
include_once 'app/cfg_app.php';

// für inc.ccform.php
$onsubmit = '';
$action = 'echo.php';

?>
<!DOCTYPE html>
<html lang="de">
<head>
	<title>micropayment Kreditkarten Demo</title>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="micropayment GmbH - Kreditkarten Demo" />
	<meta name="author" content="micropayment GmbH" />

	<!-- Bootstrap Core CSS -->
	<link href="../../../css/bootstrap.min.css" rel="stylesheet" />

	<!-- Custom CSS -->
	<link href="../../../css/cc-spezial.css" rel="stylesheet" />

	<!-- Custom Fonts -->
	<link href="../../../font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

<!-- Script für die Tokenerstellung -->
	<script src=<?php _je($mp_js);?>
	  prefix="card_"
      form_submit="auto"
      autobill=1
      testmode=<?php _e($testMode);?>
      project=<?php _je($project);?>>
    </script>

	<?php include 'app/tpl/inc.ccform_style_script.php';?>

	<script type="text/javascript">
		isReady = function() {
			console.log('isReady');
			Micropayment.amount(<?php _je($amount);?>,
					<?php _je($currency);?>,
					<?php _je($requestTime);?>,
					<?php _je($requestId);?>,
					<?php _je($secret);?>);
			Micropayment.prepare('', <?php _je($responseUrl);?>, '', 'dieId');
		}

		onError = function(e) {
			console.log('onError');
			console.log(e);
		}

		onSuccess = function(e) {
			console.log('onSuccess');
			console.log(e);
		}

		resetfields = function() {
			console.debug('reset');
			Micropayment.reset();
			getElem('card_holder').value = '';
			getElem('card_month').value = 'Month';
			getElem('card_year').value = 'Year';
			Micropayment.complete();
		}

		Micropayment.addEvent('ready', isReady);
		Micropayment.addEvent('error', onError);
		Micropayment.addEvent('success', onSuccess);
	</script>

</head>
<body>

<div class="container">
	<?php include 'app/tpl/inc.ccform.php';?>
</div>

<script src="../../../js/jquery.js"></script>
<script src="../../../js/bootstrap.min.js"></script>

<script>
	$(function () {
		$('[data-toggle="tooltip"]').tooltip()
	})
</script>
<a href="#" onclick="resetfields()">reset</a>
</body>
</html>
<?php include 'app/tpl/inc.debug.php';?>