<?php
include_once 'app/cfg_app.php';

?>
<!DOCTYPE html>
<html lang="de">
<head>
	<title>micropayment Kreditkarten Demo</title>
	<meta charset="utf-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="description" content="micropayment GmbH - Kreditkarten Demo" />
	<meta name="author" content="micropayment GmbH" />
	<!-- Bootstrap Core CSS -->
	<link href="css/bootstrap.min.css" rel="stylesheet" />

	<!-- Custom CSS -->
	<link href="css/cc-spezial.css" rel="stylesheet" />

	<!-- Custom Fonts -->
	<link href="font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

</head>
<body>

<div class="container">
	<div class="row">
		<div class="col-lg-12 / col-md-12 / col-sm-12 / col-xs-12">
		<div class="alert alert-info">
			<strong>Testmodus: <?php echo ($testMode ? 'ON' : 'OFF')?>, Kreditkarten (Testdaten) </strong><br />

			<span class="label label-default">VISA</span> <span class="label label-primary">4111111111111111</span> |
			<span class="label label-default">MASTER</span> <span class="label label-primary">5454545454545454</span> |
			<span class="label label-default">AMEX</span> <span class="label label-primary">343434343434343</span> |
            <span class="label label-default">3DSecure</span> <span class="label label-primary">4747474747474747</span> |
			<span class="label label-warning">CVC Code</span> <span class="label label-primary">666</span>
			<br />
			<small>Hinweis: Um die Buchung erfolgreich durchzuführen nutzen Sie bitte den Test CVC Code!</small>
            <br />

		</div>
		</div>
	</div>

	<div class="row">




		<div class="col-lg-4 / col-md-4 / col-sm-6 / col-xs-12">
			<div class="panel panel-default">
				<div class="panel-body text-center" style="min-height: 120px;">
					Buchung in einem Schritt mit FieldAlias für holder, pan und cvc.
					Klickbares  label für pan.
					JsDebug aktiv. Simple HTML<br />
					<code>1step-simplehtml.php</code>
				</div>
				<div class="panel-footer">
					<a href="1step-simplehtml.php" class="btn btn-primary btn-block">
						<i class="fa fa-eye"></i>
						öffnen
					</a>
				</div>
			</div>
		</div>

		<div class="col-lg-4 / col-md-4 / col-sm-6 / col-xs-12">
			<div class="panel panel-default">
				<div class="panel-body text-center" style="min-height: 120px;">
					Buchung in einem Schritt, ohne Zwischenseite. Automatisch. responseUrl aus Notification<br />
					<code>1step-notification.php</code>
				</div>
				<div class="panel-footer">
					<a href="1step-notification.php" class="btn btn-primary btn-block">
						<i class="fa fa-eye"></i>
						öffnen
					</a>
				</div>
			</div>
		</div>

		<div class="col-lg-4 / col-md-4 / col-sm-6 / col-xs-12">
			<div class="panel panel-default">
				<div class="panel-body text-center" style="min-height: 120px;">
					Buchung in einem Schritt, ohne Zwischenseite. Automatisch. responseUrl als Parameter<br />
					<code>1step.php</code>
				</div>
				<div class="panel-footer">
					<a href="1step.php" class="btn btn-primary btn-block">
						<i class="fa fa-eye"></i>
						öffnen
					</a>
				</div>
			</div>
		</div>

		<div class="col-lg-4 / col-md-4 / col-sm-6 / col-xs-12">
			<div class="panel panel-default">
				<div class="panel-body text-center" style="min-height: 120px;">
					Authorisation in einem Schritt, ohne Zwischenseite. Automatisch. responseUrl als Parameter<br />
					<code>1step-authorization.php</code>
				</div>
				<div class="panel-footer">
					<a href="1step-authorization.php" class="btn btn-primary btn-block">
						<i class="fa fa-eye"></i>
						öffnen
					</a>
				</div>
			</div>
		</div>

		<div class="col-lg-4 / col-md-4 / col-sm-6 / col-xs-12">
			<div class="panel panel-default">
				<div class="panel-body text-center" style="min-height: 120px;">
					Buchung in einem Schritt, ohne Zwischenseite. Schritte manuell.<br />
					<code>1step-manuell.php</code>
				</div>
				<div class="panel-footer">
					<a href="1step-manuell.php" class="btn btn-primary btn-block">
						<i class="fa fa-eye"></i>
						öffnen
					</a>
				</div>
			</div>
		</div>



		<div class="col-lg-4 / col-md-4 / col-sm-6 / col-xs-12">
			<div class="panel panel-default">
				<div class="panel-body text-center" style="min-height: 120px;">
					Buchung in 2 Schritten, mit Zwischenseite. Betrag/Währung wird versiegelt und per Javascript gesetzt<br />
					<code>2step_a.php</code>
				</div>
				<div class="panel-footer">
					<a href="2step_a.php" class="btn btn-primary btn-block">
						<i class="fa fa-eye"></i>
						öffnen
					</a>
				</div>
			</div>
		</div>

		<div class="col-lg-4 / col-md-4 / col-sm-6 / col-xs-12">
			<div class="panel panel-default">
				<div class="panel-body text-center" style="min-height: 120px;">
					Buchung in 2 Schritten, mit Zwischenseite. Betrag/Währung wird durch API-Aufruf gesetzt ( tokenSessionCreate() )<br />
					<code>2step-api-session_a.php</code>
				</div>
				<div class="panel-footer">
					<a href="2step-api-session_a.php" class="btn btn-primary btn-block">
						<i class="fa fa-eye"></i>
						öffnen
					</a>
				</div>
			</div>
		</div>


		<div class="col-lg-4 / col-md-4 / col-sm-6 / col-xs-12">
			<div class="panel panel-default">
				<div class="panel-body text-center" style="min-height: 120px;">
					Buchung in einem Schritt. Buchung durch API-Aufruf ( tokenPurchase() )<br />
					<code>1step-tokenPurchase.php</code>
				</div>
				<div class="panel-footer">
					<a href="1step-tokenPurchase.php" class="btn btn-primary btn-block">
						<i class="fa fa-eye"></i>
						öffnen
					</a>
				</div>
			</div>
		</div>


        <div class="col-lg-4 / col-md-4 / col-sm-6 / col-xs-12">
            <div class="panel panel-default">
                <div class="panel-body text-center" style="min-height: 120px;">
                    Buchung in 2 Schritten. 3dSecure per API<br />
                    <code>2step-3dsecure-api_a.php</code><br />
                    Nicht mehr für 3dSecure Version 2.x geeignet !!
                </div>
                <div class="panel-footer">
                    <a href="2step-3dsecure-api_a.php" class="btn btn-primary btn-block">
                        <i class="fa fa-eye"></i>
                        öffnen
                    </a>
                </div>
            </div>
        </div>


        <div class="col-lg-4 / col-md-4 / col-sm-6 / col-xs-12">
            <div class="panel panel-default">
                <div class="panel-body text-center" style="min-height: 120px;">
                    Buchung in 2 Schritten. 3dSecure Version 2.x per API<br />
                    <code>2step-3dsecure-api_purchase_a.php</code>
                </div>
                <div class="panel-footer">
                    <a href="2step-3dsecure-api_purchase_a.php" class="btn btn-primary btn-block">
                        <i class="fa fa-eye"></i>
                        öffnen
                    </a>
                </div>
            </div>
        </div>

	</div>
</div>



</body>
</html>